%global momorel 6

Name:           gnokii
Version:        0.6.27
Release: %{momorel}m%{?dist}
Summary:        Linux/Unix tool suite for various mobile phones

Group:          Applications/Communications
License:        GPL
URL:            http://www.gnokii.org/
Source0: http://www.gnokii.org/download/gnokii/%{name}-%{version}.tar.bz2 
NoSource: 0
Source2:        %{name}-smsd.init
Source3:        %{name}-smsd.sysconfig
Source4:        %{name}-smsd.logrotate
Source5:        %{name}-smsd2mail.sh
Source6:        %{name}-smsd-README.smsd2mail
# Patch to make gnokii use "htmlview" instead of "mozilla" as default browser
Patch0:         %{name}-htmlview.patch
# Patch to remove port locking and apply the system-wide /usr/sbin directory
# to the path instead of the default /usr/local
Patch1:         %{name}-config.patch
# DO NOT REMOVE icon patch WITHOUT CHECKING
Patch2:         %{name}-0.6.24-menu-icon.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  flex
BuildRequires:  gettext
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:  postgresql-devel >= 8.2.3
BuildRequires:  mysql-devel >= 5.1.32
BuildRequires:  zlib-devel
BuildRequires:  bluez-libs-devel >= 4.0
BuildRequires:	libusb-devel
%{?_with_libical:BuildRequires: libical-devel >= 0.24}
BuildRequires:	libXt-devel
BuildRequires:	libXpm-devel 
BuildRequires:	perl-XML-Parser >= 2.36
Requires:       shadow-utils

%description
Gnokii provides tools and a user space driver for use with mobile
phones under Linux, various unices and Win32. With gnokii you can do
such things as make data calls, update your address book, change
calendar entires, send and receive SMS messages and load ring tones
depending on the phone you have.

%package     -n xgnokii
Summary:        Graphical Linux/Unix tool suite for various mobile phones
Group:          Applications/Communications
Requires:       %{name} = %{version}-%{release}

%description -n xgnokii
Xgnokii is graphical Linux/Unix tool suite for various mobile
phones. It allows you to edit your contacts book, send/read SMS's
from/in computer and more other features.

%package        smsd
Summary:        Gnokii SMS daemon
Group:          System Environment/Daemons
Requires:       %{name} = %{version}-%{release}
Requires(pre):  shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig

%description    smsd
The Gnokii SMS daemon receives and sends SMS messages.

%package        smsd-pgsql
Summary:        PostgreSQL support for Gnokii SMS daemon
Group:          System Environment/Daemons
Requires:       %{name}-smsd = %{version}-%{release}
Obsoletes:      %{name}-smsd-postgresql < 0.6.4-0.lvn.2

%description    smsd-pgsql
%{summary}.

%package        smsd-mysql
Summary:        MySQL support for Gnokii SMS daemon
Group:          System Environment/Daemons
Requires:       %{name}-smsd = %{version}-%{release}

%description    smsd-mysql
%{summary}.

%package        devel
Summary:        Gnokii development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
%{summary}.


%prep
%setup -q

%patch1 -p0

# DO NOT REMOVE icon patch WITHOUT CHECKING
%patch2 -p1 -b .icon

install -pm 644 %{SOURCE5} smsd2mail.sh
install -pm 644 %{SOURCE6} README.smsd2mail

%build
autoreconf -fiv
%configure --enable-security \
    --disable-rpath \
    --disable-static \
    --program-prefix=""
%make

%install
rm -rf --preserve-root 
make DESTDIR=%{buildroot} install

# Rename smsd to gnokii-smsd
mv %{buildroot}%{_bindir}/{,gnokii-}smsd
mv %{buildroot}%{_mandir}/man8/{,gnokii-}smsd.8
sed -i 's,smsd ,gnokii-smsd ,' %{buildroot}%{_mandir}/man8/gnokii-smsd.8
sed -i 's,smsd.,gnokii-smsd.,' %{buildroot}%{_mandir}/man8/gnokii-smsd.8

# Remove libtool droppings
rm %{buildroot}%{_libdir}{,/smsd}/lib*.la

# Fix up the default desktop file
desktop-file-install \
    --delete-original \
    --vendor "" \
    --dir %{buildroot}%{_datadir}/applications \
    --mode 644 \
    %{buildroot}%{_datadir}/applications/xgnokii.desktop

# Convert the default icons to PNG
install -dm 755 %{buildroot}%{_datadir}/pixmaps
convert Docs/sample/logo/gnokii.xpm \
  %{buildroot}%{_datadir}/pixmaps/xgnokii.png
chmod 644 %{buildroot}%{_datadir}/pixmaps/xgnokii.png

# Install the configuration files
install -Dpm 755 %{SOURCE2} %{buildroot}%{_initscriptdir}/gnokii-smsd
install -Dpm 640 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/gnokii-smsd
install -Dpm 644 %{SOURCE4} \
  %{buildroot}%{_sysconfdir}/logrotate.d/gnokii-smsd
cp -a Docs/sample/gnokiirc %{buildroot}%{_sysconfdir}/

# Install the docs
mv %{buildroot}%{_datadir}/doc/gnokii/ temporary-gnokii-docs/

%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%pre
%{_sbindir}/groupadd -r gnokii >/dev/null 2>&1 || :

%pre smsd
%{_sbindir}/useradd -r -M -d / -g gnokii \
  -s /sbin/nologin -c "Gnokii system user" gnokii >/dev/null 2>&1 || :

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post smsd
/sbin/chkconfig --add gnokii-smsd

%preun smsd
if [ $1 -eq 0 ] ; then
  %{_initscriptdir}/gnokii-smsd stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del gnokii-smsd
fi

%postun smsd
if [ $1 -ge 1 ] ; then
  %{_initscriptdir}/gnokii-smsd try-restart >/dev/null 2>&1 || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPY* MAINTAINERS TODO temporary-gnokii-docs/*
%config(noreplace) %{_sysconfdir}/gnokiirc
%attr(4750,root,gnokii) %{_sbindir}/mgnokiidev
%{_bindir}/gnokii
%{_bindir}/sendsms
%{_bindir}/gnokiid
%{_libdir}/libgnokii.so.*
%{_mandir}/man1/gnokii.1*
%{_mandir}/man1/sendsms.1*
%{_mandir}/man8/gnokiid.8*
%{_mandir}/man8/mgnokiidev.8*

%files -n xgnokii
%defattr(-,root,root,-)
%doc xgnokii/ChangeLog xgnokii/README.vcard
%{_bindir}/xgnokii
%{_datadir}/pixmaps/xgnokii.png
%{_datadir}/applications/*xgnokii.desktop
%{_mandir}/man1/xgnokii.1*
%{_prefix}/share/xgnokii/

%files smsd
%defattr(-,root,root,-)
%doc smsd/action smsd/ChangeLog smsd/README README.smsd2mail smsd2mail.sh
%attr(-,gnokii,gnokii) %config(noreplace) %{_sysconfdir}/sysconfig/gnokii-smsd
%config(noreplace) %{_sysconfdir}/logrotate.d/gnokii-smsd
%{_initscriptdir}/gnokii-smsd
%{_bindir}/gnokii-smsd
%{_mandir}/man8/gnokii-smsd.8*
%dir %{_libdir}/smsd/
%{_libdir}/smsd/libsmsd_file.so

%files smsd-pgsql
%defattr(-,root,root,-)
%doc smsd/sms.tables.pq.sql
%{_libdir}/smsd/libsmsd_pq.so

%files smsd-mysql
%defattr(-,root,root,-)
%doc smsd/sms.tables.mysql.sql
%{_libdir}/smsd/libsmsd_mysql.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/gnokii*
%{_libdir}/libgnokii.so
%{_libdir}/pkgconfig/gnokii.pc
%{_libdir}/pkgconfig/xgnokii.pc

%changelog
* Fri May 22 2009 Masaru Sanuki <sanuki@momonga-linux.org>
- (0.6.27-6m)
- add autoreconf (build fix)

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.27-5m)
- rebuild against openssl-0.9.8k

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.27-4m)
- rebuild against mysql-5.1.32

* Mon Feb  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.27-3m)
- change missing icon of xgnokki.desktop from cellphone to xgnokii again and again
- DO NOT REMOVE icon patch WITHOUT CHECKING

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.27-2m)
- rebuild against rpm-4.6

* Fri Dec 19 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.27-1m)
- update 0.6.27

* Thu Jun 12 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.26-2m)
- change missing icon of xgnokki.desktop from cellphone to xgnokii again
- use %%{_initscriptdir} instead of %%{_initrddir} in %%preun smsd and %%postun smsd

* Thu Jun 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.26-1m)
- update to 0.6.26
- sync fedora

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.24-4m)
- rebuild against openssl-0.9.8h-1m

* Sun May 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.24-3m)
- change missing icon of xgnokki.desktop from cellphone to xgnokii

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.24-2m)
- rebuild against gcc43

* Sun Mar 30 2008 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.6.24-1m)
- update to 0.6.24
- sync Fedora

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.22-2m)
- %%NoSource -> NoSource

* Sun Jan  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.22-1m)
- update to 0.6.22

* Fri Nov  9 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.6.20-1m)
- up to 0.6.20

* Sun Oct 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.19-1m)
- update to 0.6.19

* Sun Aug 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.18-1m)
- update to 0.6.18

* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.17-3m)
- revise %%preun and %%postun for Momonga Linux 4 beta2

* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.17-2m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Sun Jul  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.17-1m)
- update to 0.6.17

* Thu May 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.14-5m)
- Change Source URL

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.14-4m)
- rebuild against postgresql-8.2.3

* Thu Feb 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.14-3m)
- rebuild against bluez-libs-3.9

* Tue Nov 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.14-2m)
- modify Requires for mph-get-check

* Mon Nov 13 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.14-1m)
- import from FC6 devel

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.6.14-2
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sat Sep 23 2006 Linus Walleij <triad@df.lth.se> - 0.6.14-1
- New upstream release.

* Tue Aug 29 2006 Linus Walleij <triad@df.lth.se> - 0.6.13-3
- Rebuild for Fedora Extras 6.

* Fri Aug 11 2006 Linus Walleij <triad@df.lth.se> - 0.6.13-2
- Bump because tagged before committing sources and I just
  dont know how the f* you delete a tag in CVS at the moment
  and it does seem like a too big endavour to find out just
  in order to have a nice release tag.

* Thu Aug 10 2006 Linus Walleij <triad@df.lth.se> - 0.6.13-1
- New upstream release.
- New dependency on libusb for USB serial, DKU no longer needed/wanted
  so now we have that troublesome issue resolved once and for all.
- Remove patches to SQL files: these are now fixed upstream!

* Mon Jun 12 2006 Linus Walleij <triad@df.lth.se> - 0.6.12-4
- Rebuilding due to changed interface on libbluetooth.

* Sun Apr 2 2006 Linus Walleij <triad@df.lth.se> - 0.6.12-4
- Goofed up. Fixit it...

* Sun Apr 2 2006 Linus Walleij <triad@df.lth.se> - 0.6.12-3
- Post-import updates.

* Thu Mar 31 2006 Linus Walleij <triad@df.lth.se> - 0.6.12-2
- Updated after comments from Ville.

* Thu Mar 16 2006 Linus Walleij <triad@df.lth.se> - 0.6.12-1
- New upstream tarball

* Wed Mar 8 2006 Linus Walleij <triad@df.lth.se> - 0.6.11-2
- Updated after comments from Ville.

* Sun Mar 5 2006 Linus Walleij <triad@df.lth.se> - 0.6.11-1
- 0.6.11
- Modified to drop into the Fedora Extras as the nice package it now is
- Based work off Ville's good olde package

* Sun Nov 13 2005 Ville Skytta <ville.skytta at iki.fi> - 0.6.10-0.lvn.1
- 0.6.10.
- Clean up pkgconfig file and -devel dependencies from bits needed only
  for static libs.

* Thu Nov  3 2005 Ville Skytta <ville.skytta at iki.fi> - 0.6.9-0.lvn.1
- 0.6.9, desktop entry file included upstream.
- Drop zero Epochs.

* Sat Aug  6 2005 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.8-0.lvn.1
- 0.6.8.
- Don't ship static libraries.
- Rename smsd to gnokii-smsd to avoid conflicts with smstools.
- Remove not included files instead of using %%exclude.

* Sat Jun  4 2005 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.7-0.lvn.2
- BuildRequire openssl-devel to work around https://bugzilla.redhat.com/159569

* Thu Jun  2 2005 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.7-0.lvn.1
- 0.6.7.
- Build unconditionally with bluetooth support.

* Mon May  2 2005 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.5-0.lvn.1
- 0.6.5.

* Fri Nov  5 2004 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.4-0.lvn.2
- Rename -smsd-postgresql to -smsd-pgsql for consistency with other similar
  packages in FC/Extras.

* Fri Oct 22 2004 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.4-0.lvn.1
- Update to 0.6.4, perms and pgsql patches applied upstream.
- Xgnokii help locale symlink hack no longer necessary.
- Don't remove user/group on last erase, move smsd user to -smsd subpackage.
- Add libical support (disabled), rebuild with "--with libical" to enable.

* Mon Jul  5 2004 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.3-0.lvn.1
- Update to 0.6.3.

* Sun Jun 20 2004 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.1-0.lvn.4
- Improve Xgnokii desktop entry according to GNOME HIG.

* Sun Jun 13 2004 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.1-0.lvn.3
- Remove duplicate gettext build dependency (bug 95).

* Sun Jun  6 2004 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.1-0.lvn.2
- Fix chown syntax in smsd init script.
- Summary and description improvements.
- Trim $RPM_OPT_FLAGS out from gnokii.pc.
- Make -devel require XFree86-devel.

* Sun Apr 18 2004 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.1-0.lvn.1
- Update to 0.6.1.

* Thu Mar 18 2004 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.0-0.lvn.2
- Make -devel require pkgconfig.

* Mon Feb 23 2004 Ville Skytta <ville.skytta at iki.fi> - 0:0.6.0-0.lvn.1
- Update to 0.6.0.

* Mon Feb  2 2004 Ville Skytta <ville.skytta at iki.fi> - 0:0.5.10-0.lvn.1
- Update to 0.5.10.

* Tue Jan 27 2004 Ville Skytta <ville.skytta at iki.fi> - 0:0.5.9-0.lvn.1
- Update to 0.5.9.
- Specfile cleanups, small init script enhancements.

* Sat Dec 27 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.5.7-0.lvn.1
- Update to 0.5.7.
- Move smsd man page into -smsd subpackage.

* Sat Nov 15 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.5.6-0.lvn.1
- Update to 0.5.6.
- Include sample action script for forwarding SMSD messages to mail.
- s/fedora/livna/.
- Specfile and init script cleanups.

* Sat Jul 19 2003 Warren Togami <warren@togami.com> - 0:0.5.2-0.fdr.2
- Disable smp flags to prevent build failure

* Sun Jun 15 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.5.2-0.fdr.1
- Update to 0.5.2.

* Thu May 29 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.5.1-0.fdr.1
- Update to 0.5.1.
- Include init script, sysconfig and logrotate config for smsd.

* Tue May 27 2003 Ville Skytta <ville.skytta at iki.fi> - 0:0.5.0-0.fdr.1
- Update to 0.5.0.

* Sun Nov  3 2002 Ville Skytta <ville.skytta at iki.fi> 0.4.3-1cr
- RedHat'ified PLD version.

